For the complete documentation index, see llms.txt. This page is also available as Markdown.

Api

get

Internal only view for listing datasources. Used by ETL/Airflow.

Authorizations
AuthorizationstringRequired
Query parameters
type__sluganyOptional

type__slug

searchanyOptional

A search term.

pageanyOptional

A page number within the paginated result set.

page_sizeanyOptional

Number of results to return per page.

Responses
200Success
application/json
countintegerRequired
nextstring · uriOptional
previousstring · uriOptional
get/api/datasource/
GET /api/datasource/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "type__history_hours": 1,
      "type__slug": "text",
      "name": "text",
      "expiry": "2026-01-01T00:00:00.000Z",
      "created_at": "2026-01-01T00:00:00.000Z",
      "enabled": true,
      "secret_name": "text",
      "organization": {
        "uuid": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "slug": "text",
        "account_portal_url": "text",
        "rate_limit": {
          "limit": 1,
          "usage": 1,
          "remaining": 1,
          "overriden": true
        }
      }
    }
  ]
}
get

View for providing statistics on global # of activities by event_type

Authorizations
AuthorizationstringRequired
Query parameters
searchanyOptional

A search term.

pageanyOptional

A page number within the paginated result set.

page_sizeanyOptional

Number of results to return per page.

Responses
200Success
application/json
countintegerRequired
nextstring · uriOptional
previousstring · uriOptional
get/api/eventtype-count/
GET /api/eventtype-count/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "event_type": "123e4567-e89b-12d3-a456-426614174000",
      "slug": "text",
      "count": 1
    }
  ]
}
post

Upload a Labelmaker CSV file for asynchronous processing.

Authorizations
AuthorizationstringRequired
Body
filefileRequired

CSV file to upload

Responses
202

CSV is being processed asynchronously, and the task ID is returned.

application/json
successstringOptional
task_idstringOptional
post/api/sync_labels/
POST /api/sync_labels/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 13

"file=null"
{
  "success": "text",
  "task_id": "text"
}
get
Authorizations
AuthorizationstringRequired
Query parameters
searchanyOptional

A search term.

pageanyOptional

A page number within the paginated result set.

page_sizeanyOptional

Number of results to return per page.

Responses
200Success
application/json
countintegerRequired
nextstring · uriOptional
previousstring · uriOptional
get/api/tagged-eventtype/
GET /api/tagged-eventtype/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "integration_type_slug": "text",
      "eventtype_slug": "text",
      "tag_slug": "text"
    }
  ]
}
post
Authorizations
AuthorizationstringRequired
Body
integration_type_slugstring · slug · min: 1RequiredPattern: ^[-a-zA-Z0-9_]+$
eventtype_slugstring · min: 1Required
tag_slugstring · min: 1Required
uuidstring · uuidRequired
Responses
201Success
application/json
integration_type_slugstring · slug · min: 1RequiredPattern: ^[-a-zA-Z0-9_]+$
eventtype_slugstring · min: 1Required
tag_slugstring · min: 1Required
uuidstring · uuidRequired
post/api/tagged-eventtype/
POST /api/tagged-eventtype/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 120

{
  "integration_type_slug": "text",
  "eventtype_slug": "text",
  "tag_slug": "text",
  "uuid": "123e4567-e89b-12d3-a456-426614174000"
}
201Success
{
  "integration_type_slug": "text",
  "eventtype_slug": "text",
  "tag_slug": "text",
  "uuid": "123e4567-e89b-12d3-a456-426614174000"
}
get

View viewing tags grouped by integration type

Authorizations
AuthorizationstringRequired
Responses
200Success
application/json
get/api/tags-by-integration/
GET /api/tags-by-integration/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "Access": [
    {
      "label": "text",
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "dataSources": [
        "123e4567-e89b-12d3-a456-426614174000"
      ]
    }
  ],
  "Context": [
    {
      "label": "text",
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "dataSources": [
        "123e4567-e89b-12d3-a456-426614174000"
      ]
    }
  ],
  "Application": [
    {
      "label": "text",
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "dataSources": [
        "123e4567-e89b-12d3-a456-426614174000"
      ]
    }
  ]
}
get

View to list and create tags.

Authorizations
AuthorizationstringRequired
Query parameters
searchanyOptional

A search term.

pageanyOptional

A page number within the paginated result set.

page_sizeanyOptional

Number of results to return per page.

Responses
200Success
application/json
countintegerRequired
nextstring · uriOptional
previousstring · uriOptional
get/api/tags/
GET /api/tags/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "label": "text",
      "scope": "text",
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "id": 1
    }
  ]
}
post

View to list and create tags.

Authorizations
AuthorizationstringRequired
Body
labelstring · min: 1Required
scopestringRequired
Responses
201Success
application/json
labelstring · min: 1Required
scopestringRequired
post/api/tags/
POST /api/tags/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 31

{
  "label": "text",
  "scope": "text"
}
201Success
{
  "label": "text",
  "scope": "text"
}
get

View to get tag by id.

Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Responses
200Success
application/json
labelstring · min: 1 · max: 255Required
scopestring · min: 1Required
uuidstring · uuidRead-onlyOptional
idintegerRead-onlyOptional
get/api/tags/{uuid}/
GET /api/tags/{uuid}/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "label": "text",
  "scope": "text",
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "id": 1
}
delete

View to get tag by id.

Authorizations
AuthorizationstringRequired
Path parameters
uuidanyRequired
Responses
204Success

No content

delete/api/tags/{uuid}/
DELETE /api/tags/{uuid}/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
204Success

No content

Last updated